package dev.fyloz.backup.data

import java.nio.file.Files
import kotlin.io.path.Path

interface FileProvider {
    fun save(data: ByteArray, path: String)
}

class LocalFileProvider : FileProvider {
    override fun save(data: ByteArray, path: String) {
        Files.write(Path(path), data)
    }
}